PowerVmAllocationPolicyMigrationStaticThreshold (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power

## Class PowerVmAllocationPolicyMigrationStaticThreshold

- java.lang.Object
- - org.cloudbus.cloudsim.VmAllocationPolicy
  - - org.cloudbus.cloudsim.power.PowerVmAllocationPolicyAbstract
    - - org.cloudbus.cloudsim.power.PowerVmAllocationPolicyMigrationAbstract
      - - org.cloudbus.cloudsim.power.PowerVmAllocationPolicyMigrationStaticThreshold

-     public class PowerVmAllocationPolicyMigrationStaticThreshold
      extends PowerVmAllocationPolicyMigrationAbstract

  The Static Threshold (THR) VM allocation policy. If you are using any algorithms, policies or workload included in the power package, please cite the following paper: Anton Beloglazov, and Rajkumar Buyya, "Optimal Online Deterministic Algorithms and Adaptive Heuristics for Energy and Performance Efficient Dynamic Consolidation of Virtual Machines in Cloud Data Centers", Concurrency and Computation: Practice and Experience, ISSN: 1532-0626, Wiley Press, New York, USA, 2011, DOI: 10.1002/cpe.1867
  Since:
    CloudSim Toolkit 3.0
  Author:
    Anton Beloglazov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerVmAllocationPolicyMigrationStaticThreshold(List<? extends Host> hostList, PowerVmSelectionPolicy vmSelectionPolicy, double utilizationThreshold)` Instantiates a new power vm allocation policy migration mad.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `getUtilizationThreshold()` Gets the utilization threshold.
    `protected boolean` | `isHostOverUtilized(PowerHost host)` Checks if is host over utilized.
    `protected void` | `setUtilizationThreshold(double utilizationThreshold)` Sets the utilization threshold.

    - ### Methods inherited from class org.cloudbus.cloudsim.power.PowerVmAllocationPolicyMigrationAbstract

      `addHistoryEntry, areAllVmsMigratingOutOrAnyVmMigratingIn, extractHostListFromMigrationMap, findHostForVm, findHostForVm, getExecutionTimeHistoryHostSelection, getExecutionTimeHistoryTotal, getExecutionTimeHistoryVmReallocation, getExecutionTimeHistoryVmSelection, getMaxUtilizationAfterAllocation, getMetricHistory, getMigrationMapFromUnderUtilizedHosts, getNewVmPlacement, getNewVmPlacementFromUnderUtilizedHost, getOverUtilizedHosts, getPowerAfterAllocation, getSavedAllocation, getSwitchedOffHosts, getTimeHistory, getUnderUtilizedHost, getUtilizationHistory, getVmSelectionPolicy, getVmsToMigrateFromHosts, getVmsToMigrateFromUnderUtilizedHost, isHostOverUtilizedAfterAllocation, optimizeAllocation, printOverUtilizedHosts, restoreAllocation, saveAllocation, setVmSelectionPolicy`

    - ### Methods inherited from class org.cloudbus.cloudsim.power.PowerVmAllocationPolicyAbstract

      `allocateHostForVm, allocateHostForVm, deallocateHostForVm, getHost, getHost, getVmTable, TryDVFSEnableHost`

    - ### Methods inherited from class org.cloudbus.cloudsim.VmAllocationPolicy

      `getHostList, setHostList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerVmAllocationPolicyMigrationStaticThreshold

          public PowerVmAllocationPolicyMigrationStaticThreshold(List<? extends Host> hostList,
                                                         PowerVmSelectionPolicy vmSelectionPolicy,
                                                         double utilizationThreshold)

      Instantiates a new power vm allocation policy migration mad.
      Parameters:
        `hostList` - the host list
        `vmSelectionPolicy` - the vm selection policy
        `utilizationThreshold` - the utilization threshold

  - ### Method Detail

    - #### isHostOverUtilized

          protected boolean isHostOverUtilized(PowerHost host)

      Checks if is host over utilized.
      Specified by:
        `isHostOverUtilized` in class `PowerVmAllocationPolicyMigrationAbstract`
      Parameters:
        `_host` - the _host
      Returns:
        true, if is host over utilized

    - #### setUtilizationThreshold

          protected void setUtilizationThreshold(double utilizationThreshold)

      Sets the utilization threshold.
      Parameters:
        `utilizationThreshold` - the new utilization threshold

    - #### getUtilizationThreshold

          protected double getUtilizationThreshold()

      Gets the utilization threshold.
      Returns:
        the utilization threshold

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.